autofs-5.1.0 - fix hosts map options check in lookup_amd_instance()

From: Ian Kent <ikent@redhat.com>

Ongoing bug fixes have caused a hosts map source check in lookup_amd_instance()
to be inconsistent and consequently not find the iexpected map source.
---
 CHANGELOG       |    1 +
 daemon/lookup.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index f291095..d693bce 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -22,6 +22,7 @@
 - fix leak in parse_mount().
 - add mutex call return check in defaults.c.
 - force disable browse mode for amd format maps.
+- fix hosts map options check in lookup_amd_instance().
 
 04/06/2014 autofs-5.1.0
 =======================
diff --git a/daemon/lookup.c b/daemon/lookup.c
index 1761f7e..1a0881f 100644
--- a/daemon/lookup.c
+++ b/daemon/lookup.c
@@ -843,7 +843,7 @@ static int lookup_amd_instance(struct autofs_point *ap,
 		return NSS_STATUS_UNKNOWN;
 	}
 
-	if (entry->opts) {
+	if (entry->opts && *entry->opts) {
 		argv[0] = entry->opts;
 		argv[1] = NULL;
 		pargv = argv;
